diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 8f4f32d..f98923b 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -53657,7 +53657,7 @@ LinearOrdinaryDifferentialOperatorFactorizer(F, UP): Exports == Impl where
       degree r > 1 or not ((leadingCoefficient r) = 1) =>
         recurfactor(op, r, zeros, ezfactor, adj?)
       op1 := opeval(op, dd - coefficient(r, 0)::L)
-      map_!(opeval(#1, r), recurfactor(op1, dd, zeros, ezfactor, adj?))
+      map_!((z:L):L+->opeval(z,r), recurfactor(op1, dd, zeros, ezfactor, adj?))
  
 -- r1? is true means look for 1st-order right-factor also
     innerFactor(l, zeros, ezfactor, r1?) ==
@@ -53687,18 +53687,23 @@ LinearOrdinaryDifferentialOperatorFactorizer(F, UP): Exports == Impl where
         concat [zro1(r.factor) for r in factors ezfactor p]
  
       zro1 p ==
-        [zeroOf(map(#1, p)$UnivariatePolynomialCategoryFunctions2(F, UP,
+        [zeroOf(map((z1:F):F+->z1,p)_
+          $UnivariatePolynomialCategoryFunctions2(F, UP,
                                              F, SparseUnivariatePolynomial F))]
  
       if F is AlgebraicNumber then
         import AlgFactor UP
  
-        factor l  == innerFactor(l, zro(#1, factor), factor, true)
-        factor1 l == innerFactor(l, zro(#1, factor), factor, false)
+        factor l  == 
+          innerFactor(l,(p:UP):List(F)+->zro(p,factor),factor,true)
+        factor1 l == 
+          innerFactor(l,(p:UP):List(F)+->zro(p,factor),factor,false)
  
       else
-        factor l  == innerFactor(l, zro(#1, squareFree), squareFree, true)
-        factor1 l == innerFactor(l, zro(#1, squareFree), squareFree, false)
+        factor l  == 
+          innerFactor(l,(p:UP):List(F)+->zro(p,squareFree),squareFree,true)
+        factor1 l == 
+          innerFactor(l,(p:UP):List(F)+->zro(p,squareFree),squareFree,false)
 
 @
 <<LODOF.dotabb>>=
diff --git a/changelog b/changelog
index 3d7f3f2..11e5bcf 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090606 tpd src/axiom-website/patches.html 20090606.01.tpd.patch
+20090606 tpd books/bookvol10.4 LODOF +-> conversion
 20090605 tpd src/axiom-website/patches.html 20090605.06.tpd.patch
 20090605 tpd books/bookvol10.4 LINDEP +-> conversion
 20090605 tpd src/axiom-website/patches.html 20090605.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 343384e..0f0c636 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1463,5 +1463,7 @@ bookvol10.4 IRRF2F +-> conversion<br/>
 src/input/ffdemo.input fix steps 27, 57 due to divisors change<br/>
 <a href="patches/20090605.06.tpd.patch">20090605.06.tpd.patch</a>
 bookvol10.4 LINDEP +-> conversion<br/>
+<a href="patches/20090606.01.tpd.patch">20090606.01.tpd.patch</a>
+bookvol10.4 LODOF +-> conversion<br/>
  </body>
 </html>
